| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Wrapper4DOMInputSource Class Reference

Wrap a DOMInputSource object to a SAX InputSource. More...

`#include <Wrapper4DOMInputSource.hpp>`

Inheritance diagram for Wrapper4DOMInputSource

[legend]
Collaboration diagram for Wrapper4DOMInputSource:

[legend]
List of all members.

## Public Methods

Constructors and Destructor
| Wrapper4DOMInputSource (DOMInputSource *const inputSource,const bool adoptFlag=true)
| Constructor. More...
virtual | ~Wrapper4DOMInputSource ()
| Destructor.
Virtual input source interface
BinInputStream* | makeStream ()const
| "Experimental - subject to change". More...
Getter methods
const XMLCh* | getEncoding ()const
| "Experimental - subject to change". More...
const XMLCh* | getPublicId ()const
| "Experimental - subject to change". More...
const XMLCh* | getSystemId ()const
| "Experimental - subject to change". More...
const bool | getIssueFatalErrorIfNotFound ()const
| "Experimental - subject to change". More...
Setter methods
void | setEncoding (const XMLCh *const encodingStr)
| "Experimental - subject to change". More...
void | setPublicId (const XMLCh *const publicId)
| "Experimental - subject to change". More...
void | setSystemId (const XMLCh *const systemId)
| "Experimental - subject to change". More...
void | setIssueFatalErrorIfNotFound (const bool flag)
| "Experimental - subject to change". More...

## Detailed Description

Wrap a DOMInputSource object to a SAX InputSource.

## Constructor & Destructor Documentation

Wrapper4DOMInputSource::Wrapper4DOMInputSource ( | DOMInputSource *const inputSource,
| const bool adoptFlag = true )

Constructor.

Wrap a DOMInputSource and pretend it to be a SAX InputSource. By default, the wrapper will adopt the DOMInputSource that is wrapped.

Parameters:

  inputSource | The DOMInputSource to be wrapped
  adoptFlag | Indicates if the wrapper should adopt the wrapped DOMInputSource. Default is true.

Wrapper4DOMInputSource::~Wrapper4DOMInputSource ( | )`[virtual]`

| Destructor.

## Member Function Documentation

const XMLCh * Wrapper4DOMInputSource::getEncoding ( | ) const

"Experimental - subject to change".

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method. This method will delegate to the wrapped input source to return name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

Returns:
  The forced encoding, or null if none was supplied.

See also:
  setEncoding

Reimplemented from InputSource.

const bool Wrapper4DOMInputSource::getIssueFatalErrorIfNotFound ( | ) const

"Experimental - subject to change".

Get the flag that indicates if the parser should issue fatal error if this input source is not found. Delegated to the wrapped input source object.

Returns:
  True if the parser should issue fatal error if this input source is not found. False if the parser issue warning message instead.

See also:
  setIssueFatalErrorIfNotFound

Reimplemented from InputSource.

const XMLCh * Wrapper4DOMInputSource::getPublicId ( | ) const

"Experimental - subject to change".

Get the public identifier for this input source. Delegated to the wrapped input source object.

Returns:
  The public identifier, or null if none was supplied.

See also:
  setPublicId

Reimplemented from InputSource.

const XMLCh * Wrapper4DOMInputSource::getSystemId ( | ) const

"Experimental - subject to change".

Get the system identifier for this input source. Delegated to the wrapped input source object.

If the system ID is a URL, it will be fully resolved.

Returns:
  The system identifier.

See also:
  setSystemId

Reimplemented from InputSource.

BinInputStream * Wrapper4DOMInputSource::makeStream ( | ) const`[virtual]`

"Experimental - subject to change".

Makes the byte stream for this input source.

The function will call the makeStream of the wrapped input source. The returned stream becomes the parser's property.

See also:
  BinInputStream

Reimplemented from InputSource.

void Wrapper4DOMInputSource::setEncoding ( | const XMLCh *const encodingStr )

"Experimental - subject to change".

Set the encoding which will be required for use with the XML text read via a stream opened by this input source. This will update the wrapped input source object.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

Parameters:

  encodingStr | The name of the encoding to force.

Reimplemented from InputSource.

void Wrapper4DOMInputSource::setIssueFatalErrorIfNotFound ( | const bool flag )

"Experimental - subject to change".

Indicates if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. This will update the wrapped input source object.

Parameters:

  flag | True if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. (Default: true)

See also:
  getIssueFatalErrorIfNotFound

Reimplemented from InputSource.

void Wrapper4DOMInputSource::setPublicId ( | const XMLCh *const publicId )

"Experimental - subject to change".

Set the public identifier for this input source. This will update the wrapped input source object.

The public identifier is always optional: if the application writer includes one, it will be provided as part of the location information.

Parameters:

  publicId | The public identifier as a string.

See also:
  Locator::getPublicId , SAXParseException::getPublicId , getPublicId

Reimplemented from InputSource.

void Wrapper4DOMInputSource::setSystemId ( | const XMLCh *const systemId )

"Experimental - subject to change".

Set the system identifier for this input source. This will update the wrapped input source object.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

Parameters:

  systemId | The system identifier as a string.

See also:
  getSystemId , Locator::getSystemId , SAXParseException::getSystemId

Reimplemented from InputSource.

The documentation for this class was generated from the following file:

- Wrapper4DOMInputSource.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.